import "./questions.css";

export default function QuestionLayout({ children }: { children: any }) {
  addScript("./header.client.ts");
  return (
    <main class="qa">
      <h1>
        <span class="a" style="color:var(--a);--s:#19607d">answers</span>
        <span class="n" style="--s:#999;margin:0 5px">&</span>
        <span class="q" style="color:var(--b);--s:#994253">questions</span>
      </h1>
      {children}
    </main>
  );
}

export const theme = {
  fg: "#f0f0f0",
  bg: "#1a1a1a",
  primary: "#f5a9b8",
};

export const minimal = {
  default: ({ children }: { children: any }) => (
    <main class="qa">{children}</main>
  ),
  theme,
};

import { addScript } from "#sitegen";
